Bug 459831 - PEAR PHP_GTK GUI Front-end request
PEAR PHP_GTK GUI Front-end request
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php-pear (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 15:19 EDT by Keith Roberts
Modified: 2008-08-28 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 13:38:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Roberts 2008-08-22 15:19:50 EDT
This is a feature request.

Please could we have the PEAR_Frontend_Gtk2 package installed by default with php-pear? I'm sure this will make life a lot easier for all PEAR users, especially newcomers.

The URL for this package is at:

http://pear.php.net/package/PEAR_Frontend_Gtk2

This program is a graphical frontend for PEAR, the PHP Extension and Application Repository. It uses PHP-Gtk2 as graphical toolkit and lets you easily browse available packages and install them on your computer.
The program is designed to be by end-users, making it as easy as possible to install and uninstall programs.

I've tried compiling the PHP-GTK dependency and installing it as a PHP extension, but it breaks the connection to localhost when installed as a PHP extension :-(
Comment 1 Remi Collet 2008-08-23 02:49:12 EDT
php-gtk extension is waiting for review. Bug #459548

php-pear-PEAR-Frontend-GTK2 could, then, be proposed for review as an optional pakage.

I don't think it's a good idea to have it installed by default :

- this add a lot of additional dependencies on graphical libraries generally not required on a web server

- this will promote the use of "pear install" which break system consistency when a lot of PEAR extensions are available in the official repository


Other comments, before I close this bug as WONTFIX ?
Comment 2 Keith Roberts 2008-08-23 09:06:53 EDT
Hi Remi. I agree with the points you made above.

Perhaps we could have php-pear-PEAR-Frontend-GTK2 available as an optional package then?

My first concern is having the php-gtk extension working, so I can write my own PHP-GTK GUI front-ends to my PHP CLI scripts.
Comment 3 Remi Collet 2008-08-28 13:38:11 EDT
Just add the needed component to Fedora Wishlist :

	php-pear-Config
	php-pear-Gtk2-EntryDialog
	php-pear-Gtk2-FileDrop
	php-pear-PEAR-Frontend-Gtk2
	php-pear-System-Command

I close this bug.

Note You need to log in before you can comment on or make changes to this bug.